Skip to content
API referencePlatformPlatform billing

Admin_cancel_checkout_session

POST
/platform/v1/billing/checkout-sessions/{id}/cancel

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

curl -X POST "https://example.com/platform/v1/billing/checkout-sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736",  "coupon_code": "string",  "created_at": "2019-08-24T14:15:22Z",  "currency": "string",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error_json": "string",  "payment_intent_id": "7e322e88-5311-4979-b283-b9a687137f41",  "payment_method_id": "ec18d2d7-d2e0-41e4-98e4-847f14422d8a",  "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",  "price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c",  "provider": "string",  "step": "string",  "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",  "three_ds_url": "string",  "updated_at": "2019-08-24T14:15:22Z",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"}